/*
 * Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009
 * Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef	CFG_H
#define	CFG_H 1

#define AUTHORS "Moritz Orbach"

enum bg_modes { 
	CLONE, 
	STRETCH, 
	PER_SCREEN 
};

typedef struct {
	/*
	 * These can't be unsigned or I can't test for < 0
	 * Some could be not "long" but have to use the same conversion 
	 * function.
	 **/
	time_t delay;	/* delay in seconds */
	signed long int maxscale;
	signed long int minborder;
	signed long int minsize;
	int setbg;
	signed long int passes;
	int sequential;
	char *command;
	enum bg_modes mh_mode;
	int crop;
} t_config;

extern int cfg_cmdln(int const argc, char * const argv[], int *diroffset, char ***collections, int *collectionsc);

extern t_config cfg;

#endif
