/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * The interface to the display server
 */
#ifndef	DISPLAY_H
#define	DISPLAY_H 1

/* time_t */
#include <sys/types.h>

#include "imglib.h"

struct display_s;
typedef struct display_s display_t;

extern display_t *display_open(char *windowname, imglib_t *imglib);
extern time_t display_sleep(display_t *display, time_t t, int *repaint);
extern void display_poke(display_t *display);
extern void display_close(display_t *display);

extern int display_renderimg(display_t *display, int head, imglib_t *imglib, char *hexcolor, int x, int y, int w, int h);
extern int display_showimgs(display_t *display);

extern int display_headcount(display_t *display);
extern void display_headinfo(display_t *display, int head, int *x, int *y, int *h, int *w);
extern char const * const display_errorstr(display_t *display);

#endif
