/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef	FILELIST_H
#define	FILELIST_H 1

#include <sys/stat.h>

#include "list.h"

typedef struct filesearch_s {
	list_t *list;
	long int minsize;
	char **allowed_extensions;
} filesearch_t;

extern filesearch_t *filesearch_init(list_t *list, char **allowed_extensions, long int const minsize);
extern list_t *filesearch_getlist(filesearch_t *config);
extern void filesearch_destroy(filesearch_t *config, int destroy_list);
extern int filesearch_add(filesearch_t *config, char const * const fullpath, struct stat *sb);

#endif
