/*
 * Copyright (C) 2004, 2005, 2007, 2009
 * Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef	STATUS_H
#define	STATUS_H 1

#include <stdlib.h> /* time_t */

typedef enum { 
	NONE,
	NEXTIMG, 
	REPAINT,
	INFO, 
	EXIT
} reason_t;

struct status_s;
typedef struct status_s status_t;

extern void status_stop(status_t *status);
extern int status_isrunning(status_t *status);
extern void status_break_sleep(status_t *status, reason_t reason);
extern reason_t status_sleep_broken(status_t *status);
extern void status_remember_image(status_t *status, int head, char *imgpath);
extern char *status_recall_name(status_t *status, int head);
extern void status_remember_color(status_t *status, char *hexcolor);
extern char *status_recall_color(status_t *status);
extern void status_remember_offset(status_t *status, int x, int y);
extern void status_recall_offset(status_t *status, int *w, int *h);
extern void status_remember_cropping(status_t *status, int x, int y, int w, int h);
extern void status_recall_cropping(status_t *status, int *x, int *y, int *w, int *h);
extern void status_remember_size(status_t *status, int w, int h);
extern void status_recall_size(status_t *status, int *w, int *h);
extern void status_forget_images(status_t *status);
extern void status_destroy(status_t *status);
extern status_t *status_init(void);


#endif
