/*
 * Copyright (C) 2016
 * Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * test program for filesearch and collection
 */
#include <stdio.h>
#include "../src/collection.h"
#include "../src/filesearch.h"
#include "../src/list.h"

static char *supported_filetypes[] = {
	"jpg",
	"jpeg",
	"png",
	"gif",
	"bmp",
	"tga",
	"tif",
	"tiff",
	NULL
};

int main(int argc, char *argv[])
{
	if (argc < 2) {
		printf("usage: %s COLLECTIONFILE\n", argv[0]);
		return 1;
	}

	argc--;
	argv++;

	list_t *list = NULL;
	filesearch_t *config;
	config = filesearch_init(list, supported_filetypes, -1);
	collection(config, argc, argv);

	/* output */
	list = filesearch_getlist(config);
	int i;
	for (i = 0; i < list_count(list); i++) {
		printf("-> %s\n", (char *)list_get(list, i+1));
	}
	filesearch_destroy(config, 1);

	return 0;
}
